#!/bin/bash

set -x

update_cert () {
    echo "Updating certs"
    docker run --rm \
               --env-file /etc/aws/route53_credentials \
               --volume "/etc/letsencrypt:/etc/letsencrypt" \
               --volume "/var/lib/letsencrypt:/var/lib/letsencrypt" \
               --name ${1:-certbot} \
               certbot/dns-route53 renew -n \
               --force-renewal \
               --server https://acme-v02.api.letsencrypt.org/directory \
               --email alex@matevi.sh \
               --dns-route53
}

reload_servers () {
    service nginx reload
    cat /etc/letsencrypt/live/matevi.sh/{privkey,cert,chain}.pem > /etc/znc/znc.pem
}

update_cert_and_reload () {
    update_cert
    case $? in
    0) reload_servers; exit 0;;
    *) exit 1;;
    esac
}

update_cert_and_reload
